//
//  BDSwitch.h
//  CustomSwitch
//
//  Created by xuehan gong on 12-3-23.
//  Copyright (c) 2012年 Qihoo360. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef enum {
    BDSwitchTypeCustom = 0,
    BDSwitchTypeRoundedRect,          
}BDSwitchType;

@interface BDSwitch : UIControl
{
    UILabel         *_lblOn;
    UILabel         *_lblOff;
    CGFloat         _roundness;
    CGFloat         _proportionOfSlider;
    BDSwitchType    _bDSwitchType;
    BOOL            _on;
} 

@property (nonatomic, retain) UILabel *lblOn;               //show text when switch is turned on
@property (nonatomic, retain) UILabel *lblOff;              //show text when switch is turned off
@property (nonatomic, assign) BDSwitchType bDSwitchType;    //switch type 0 is Rectangle, 1 is round
@property (nonatomic, assign) CGFloat roundness;            //use to set roundness of switch,only can use when switchtype is 1
@property (nonatomic, assign) BOOL  on;                     //current state of switch
@property (nonatomic, assign) CGFloat proportionOfSlider;   //use to set proportion of slider in BDswitch

//respectively set color of slider for the switch opens and closes
- (void)setSliderOnColor:(UIColor *)onColor offColor:(UIColor *)offColor;

//respectively set background color for the switch opens and closes
- (void)setOnColor:(UIColor *)onColor offColor:(UIColor *)offColor;

/*
    if you don't want to Calculate the frame of DBSwitch and othen subviews,you can set the Parameter of initWithFrame: to CGRectZero.
    And than you can transfer images by these next 3 methods, it will automatically calculates the frame of BDSwitch and othen subviews.
 */

//respectively set image of slider for the switch opens and closes
- (void)setSliderOnImage:(UIImage *)onImage offImage:(UIImage *)offImage;

//respectively set background image for the switch opens and closes
- (void)setOnImage:(UIImage *)onImage offImage:(UIImage *)offImage;
@end
