//
//  FlopDockView.h
//  FlopStyle
//
//  Created by Su Peng on 12-4-9.
//  Copyright (c) 2012年 Qihoo 360. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "TransitionView.h"


typedef enum {
    FlopTypeNone,
    FlopTypeExpanding = 1,
    FlopTypeCollapse
} FlopType;

extern NSString *const kItemImageKey;
extern NSString *const kItemTitleKey;
extern NSString *const kItemViewTypegKey;
extern NSString *const kMinddleInfoKey;
extern NSString *const kRightTitleKey;
extern NSString *const kSavedTimeKey;
extern NSString *const kInfoKey;
extern NSString *const KItemIndexKey;

@protocol FlopDockViewDelegate;

@interface FlopDockView : UIView<TransitionViewDelegate>

@property (nonatomic, assign) id<FlopDockViewDelegate>  delegate;
@property (nonatomic, assign) NSInteger                 currentFlopIndex;
@property (nonatomic, assign) SInt32                    currentTapIndex;
@property (nonatomic, assign) SInt32                    saveTime;
@property (nonatomic, assign) CGFloat                   singleFlopTransitionDuration;

// Information for items in dock view for flopping, element is a dictionary including one UIImage object and a title string
@property (nonatomic, retain) NSArray                   *itemInformation;

- (void)flopWithType:(FlopType)type duration:(NSTimeInterval)duration;
- (void)setBatteryLevel:(CGFloat)batteryLevel;
@end

// FlopDockView Delegate Protocol
@protocol FlopDockViewDelegate<NSObject>

@optional
- (void)flopDockViewDidFinishFlopping:(FlopDockView *)aView;
- (void)selectedFlopItemModdle:(SInt32)index;
- (void)savedTime:(SInt32)savedTime;

@end