//
//  FlopItemView.h
//  FlopStyle
//
//  Created by Su Peng on 12-4-9.
//  Copyright (c) 2012年 Qihoo 360. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef enum {
    FlopStateNone = 0,
    FlopStateFromTopToBottom,
    FlopStateFromBottomToTop
} FlopState;

typedef enum 
{
    OpenedItemView = 0,
    LinkItemView,
    ClosedItemView,
    
}ItemViewType;

typedef enum 
{
    LinkItemViewTapsFirst = 0,
    LinkItemViewTapsSecond,
}LinkItemViewTaps;

@interface FlopItemView : UIView

@property (nonatomic, retain)           UIView          *backgroundView;
@property (nonatomic, retain, readonly) UIImageView     *imageView;
@property (nonatomic, retain, readonly) UILabel         *titleLabel;
@property (nonatomic, retain)           UIImageView     *accessoryView;
@property (nonatomic, assign)           ItemViewType     itemViewType;
@property (nonatomic, assign)           SInt32           middleActionIndexKey;
@property (nonatomic, retain)           NSArray          *arrayInfo;
@property (nonatomic, assign)           LinkItemViewTaps linkItemViewTapCount;
@property (nonatomic, retain)           UILabel         *lblDirections;
@property (nonatomic, retain)           UILabel         *lblHour;
@property (nonatomic, retain)           UILabel         *lblMinute;
@property (nonatomic, retain)           UIView          *rightTitleView;

- (void)setTitle:(NSString *)title;
- (void)setImage:(UIImage *)image;
- (void)showFlopMaskWithState:(FlopState)state;
- (void)accessoryViewIsClicked:(BOOL)click;
@end
