//
//  FlopScrollView.h
//  FlopStyle
//
//  Created by Su Peng on 12-4-9.
//  Copyright (c) 2012年 Qihoo 360. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FlopDockView.h"

extern NSString *const kFlopDockRectKey;
extern NSString *const kFlopDociInfoKey;
extern NSString *const kStateKey;
extern NSString *const kLastItemKey;

@protocol FlopScrollViewDelegate;

@interface FlopScrollView : UIScrollView<FlopDockViewDelegate>
{
@private
    NSMutableArray        *_flopDockViews;
}

// Information for items in dock view for flopping, element is a dictionary including one UIImage object and a title string
@property (nonatomic, retain) NSArray                       *flopItemInformation;
@property (nonatomic, assign) id<FlopScrollViewDelegate>    flopDelegate;
@property (nonatomic, assign) CGFloat                       allTransitionDuration;

- (void)setSingleFlopTransitionDuration:(CGFloat)sec;
- (void)expandAll;
- (void)collapseAll;
- (void)setBatteryLevel:(CGFloat)batteryLevel;

@end

@protocol FlopScrollViewDelegate<NSObject>

@optional
- (void)flopScrollViewDidFinishExpandAll:(FlopScrollView *)scrollView;
- (void)flopScrollViewDidFinishCollapseAll:(FlopScrollView *)scrollView;
- (void)dockViewDidFinishFlopping:(FlopDockView *)aView expandIndex:(SInt32)index;
- (void)selectedFlopItemModdle:(SInt32)selectedItem;
- (void)savedTime:(SInt32)savedTime;
@end
