//
//  TransitionView.h
//  qBatteryDoctor
//
//  Created by Su Peng on 12-2-27.
//  Copyright (c) 2012年 Qihoo 360. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>

@class TransitionView;

@protocol TransitionViewDelegate <NSObject>

@optional
- (void)transitionViewDidStart:(TransitionView *)view;
- (void)transitionViewDidFinish:(TransitionView *)view;
- (void)transitionViewDidCancel:(TransitionView *)view;

@end

typedef enum {
    LTOR = 0,
    RTOL,
    TTOB,
    BTOT
} TranDirection;

@interface TransitionView : UIView 
{
    id<TransitionViewDelegate> delegate;

@private
    CALayer *transformed;
    UIView *mySubView;
    UIView *myNewView;
    BOOL transitioning, wasEnabled;
}

@property(nonatomic, retain) UIView *mySubView;
@property(nonatomic, assign, readonly) UIView *myNewView;
@property (assign) id<TransitionViewDelegate> delegate;
@property (readonly, getter=isTransitioning) BOOL transitioning;

//Don't have mask effect by default
- (void)replaceSubviewInCube:(UIView *)aNewView direction:(TranDirection)aDirection duration:(float)aDuration;
- (void)replaceSubviewInCube:(UIView *)aNewView direction:(TranDirection)aDirection duration:(float)aDuration isMasked:(BOOL)aIsMasked;
- (void)cancelTransition;

@end
