//
//  ChargeLog.h
//  Kal
//
//  Created by liubin on 11-10-13.
//  Copyright 2011年 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

enum {
    ChargeStateUnknown = 0,
    ChargeStateNotCharging,
    ChargeStateFastCharging,
    //    ChargeStateDelayComplementaryCharging,
    ChargeStateComplementaryCharging,
    ChargeStateTrickleCharging,
    ChargeStateFullCharging
};

typedef NSInteger       ChargeState;

enum {
    NormalCharge = 0,
    FullCharge,
    OverCharge,
    ELessBCharge = 999, 
};

typedef NSInteger       ChargeType;


@interface ChargeLog : NSObject {
    ChargeType      _type;
    NSTimeInterval  _beginTime;      // time interval from year 1970
    SInt32          _beginState;
    Float32         _beginLevel;

    NSTimeInterval  _endTime;        // time interval from year 1970
    SInt32          _endState;
    Float32         _endLevel;
    NSTimeInterval  _overStartTimestamp;
    
//    NSDate          *_date;
}

@property(nonatomic) ChargeType type;
@property(nonatomic) NSTimeInterval beginTime;
@property(nonatomic) NSTimeInterval endTime;
@property(nonatomic) SInt32 beginState;
@property(nonatomic) SInt32 endState;
//@property(nonatomic, retain) NSDate *date;
@property(nonatomic) Float32 beginLevel;
@property(nonatomic) Float32 endLevel;
@property(nonatomic) NSTimeInterval  overStartTimestamp;

+ (ChargeLog *)chargeLogWithType:(ChargeType)aType 
                       beginTime:(NSTimeInterval)aBeginTime 
                         endTime:(NSTimeInterval)aEndTime 
                      beginLevel:(Float32)beginLevel 
                        endLevel:(Float32)endLevle
                      beginState:(SInt32)bState
                        endState:(SInt32)eState;

@end
