//
//  ChargeLogger.h
//  Kal
//
//  Created by liubin on 11-10-13.
//  Copyright 2011年 __MyCompanyName__. All rights reserved.
//

#import "Kal.h"
#import "ChargeLog.h"


extern NSString * const kChargeLoggerDidLoadLogs;
extern NSString * const kChargeLoggerDidStartLog;
extern NSString * const kChargeLoggerDidEndLog;

@interface ChargeLogger : NSObject <KalDataSource> {
    NSMutableDictionary *allLogs;       // month logs, NSDate -> (ChargeType -> array of ChargeLog)
    NSMutableDictionary *curItem;       // current day, ChargeType -> array of ChargeLog.  
    NSMutableDictionary *monthStats;    // ChargeType -> total count, only month log
    
    //current charging
    ChargeLog *chargingLog;  
    
    //static
    NSString *dbPath;
    CGFloat     _fullCycleFloorLevel;
    CGFloat     _overChargeInterval;
}

+ (ChargeLogger *) sharedChargeLogger;
+ (ChargeLogger *) dataSource;
+ (void)setFullCycleFloorLevel:(CGFloat)floorLevel;
+ (void)setOverChargeTimeThreshold:(NSTimeInterval)overInterval;

- (NSDictionary *)currentItem;
- (NSDictionary *)currentMonthLogs;

- (BOOL)cleanChargeLogs;
- (NSDate *)startDateForDate:(NSDate *)date;
- (void)setOverStartTimestamp:(NSTimeInterval)time;
- (BOOL)isOverStartTimestampEmpty;

@end

